[ Qmono ] [ 5.12.0.266 ] Mono Framework

BitTorrent Sync, KODI, IPKG, NZBGet, pyLoad...
Répondre
Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 16 janv. 2018 13:22

Hi Kaso which plateform ARM ?

Zhoth
Messages : 3
Enregistré le : 16 janvier 2018

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par Zhoth » 16 janv. 2018 22:45

QoolBox a écrit :
16 janv. 2018 13:22
Hi Kaso which plateform ARM ?
I think that it's x19:
https://github.com/Jackett/Jackett/issu ... -357915385

I am the same Zhoth as in the above thread and I have a TS-219P.

kaso17
Messages : 5
Enregistré le : 14 novembre 2017

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par kaso17 » 17 janv. 2018 11:28

@Qoo!Box: I don't know which toolchains you're using for which platform. But any platform which uses a toolchain with gcc version below 4.8 is affected.
I only found these official tool chains for ARM/x86 (https://sourceforge.net/projects/qosgpl ... %20Chains/) both are very old (from 2011) with old gcc versions and need the patch.

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 17 janv. 2018 16:39

Hi Kaso

on ARM i dont use toolchain..

ARMV7 is a ubuntu 1404 chroot

ARMv5 is a Debian9 chroot ( i make binaries run under another ELF)

i am not sure the GCC version i need to check

Qfjmm
Messages : 1
Enregistré le : 31 janvier 2018

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par Qfjmm » 31 janv. 2018 18:08

Salut, j'essaye d'installer Emby 3.2.70 sur un TS-228A. J'ai vu dans 'qnap.club.eu' qu'il y a un .qpkg pour TS-X28A mais il requiert Qmono> = 4.4.2.1. Et je ne sais pas s'il est possible d'installer Qmono dans cette architecture de nos jours?

Merci

Zhoth
Messages : 3
Enregistré le : 16 janvier 2018

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par Zhoth » 01 févr. 2018 07:02

Hi Qoolbox,
it seems that there is some problem with Qmono (ARM version) and DNS.

Could you take a look at this issue that I opened some day ago in Sonarr github?

https://github.com/Sonarr/Sonarr/issues/2389

I got problems with DNS also with Jackett but running it with - c safecurl parameter solved my problem.

Have you got any idea? Thanks a lot for all your work!

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 01 févr. 2018 07:47

Hi Zhoth

ARMv5 version is a bit experimental.. because glibc is very very old on this NAS, I cannot cross compile it, or compile it under a distro

the only way i found, is using a Debian9 to compile source and force mono runs under this ELF.. by using the ld.so from Debian...

so it is not bug free... not sure i can do something for that...

Zhoth
Messages : 3
Enregistré le : 16 janvier 2018

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par Zhoth » 07 févr. 2018 14:14

Hi Qoolbox, so there isn't any possibility for me to be able to run Qsonarr.. :-(

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.4.1.6] Mono Framework

Message par QoolBox » 07 févr. 2018 17:41

some user on official Qnap forum told me Sonaar worked with the armv5 version

i have no idea why this happen to you

Avatar du membre
QoolBox
Représentant de QNAP
Messages : 6007
Enregistré le : 02 janvier 2014
Professionnel : Oui
Localisation : France
Contact :

Re: [ Qmono ] [ 5.10.0.140 ] Mono Framework

Message par QoolBox » 03 mars 2018 17:58

updated + arm64 version

Répondre

Retourner vers « Applications tierces »

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité